#!/bin/bash

# Copyright (C) 2017-2018 Daniel Tartavel-jeannot   <contact@librepc.com>
#

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

if [ "$1" = "" ] || [ "$1" = "-h" ];then
	echo "syntax install_graphical.sh [ sugar | xfce | lxde | lxqt | enlightenment | mate | cinnamon | plasma5 | gnome] ( see 'urpmq -Y task-' for all )"
else
	PATH="$(/bin/dirname  "$(readlink -f "$0")")"
	echo "installing Video drivers"
	. $PATH/install_video_driver.sh
	echo "installing gstreamer"
	. $PATH/install_gstreamer.sh
	echo "installing task-$1"
	/usr/sbin/urpmi --auto --no-verify-rpm task-$1 sox sddm
	/usr/bin/alternatives --config soundprofile 
fi
/usr/bin/systemctl enable sddm
